EntityLinkerFactory (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.entitylinker

## Class EntityLinkerFactory

- java.lang.Object
- - opennlp.tools.entitylinker.EntityLinkerFactory

-     public class EntityLinkerFactory
      extends Object

  Generates an EntityLinker implementation via properties file configuration

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityLinkerFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EntityLinker<?>` | `getLinker(EntityLinkerProperties properties)`
    `static EntityLinker<?>` | `getLinker(String entityType, EntityLinkerProperties properties)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityLinkerFactory

          public EntityLinkerFactory()

  - ### Method Detail

    - #### getLinker

          public static EntityLinker<?> getLinker(String entityType,
                                                  EntityLinkerProperties properties)
                                           throws IOException

      Parameters:
        `entityType` - The type of entity being linked to. This value is used to retrieve the implementation of the entitylinker from the entitylinker properties file.
        `properties` - An object that extends EntityLinkerProperties. This object will be passed into the implemented EntityLinker init(..) method, so it is an appropriate place to put additional resources.
      Returns:
        an EntityLinker impl
      Throws:
        `IOException`

    - #### getLinker

          public static EntityLinker<?> getLinker(EntityLinkerProperties properties)
                                           throws IOException

      Parameters:
        `properties` - An object that extends EntityLinkerProperties. This object will be passed into the implemented EntityLinker init(..) method, so it is an appropriate place to put additional resources. In the properties file, the linker implementation must be provided using "linker" as the properties key, and the full class name as value
      Returns:
        an EntityLinker impl
      Throws:
        `IOException`

Copyright © 2026 The Apache Software Foundation. All rights reserved.